Bug 208796 - Fix 'ã' (a tilda, U+00e3) in all console fonts.
Fix 'ã' (a tilda, U+00e3) in all console fonts.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Vitezslav Crhonek
: i18n, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-01 20:22 EDT by Caius Chance
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-17 11:18:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of setuptool (107.77 KB, image/jpeg)
2006-10-01 20:22 EDT, Caius Chance
no flags Details

  None (edit)
Description Caius Chance 2006-10-01 20:22:01 EDT
+++ This bug is based on Bug #204470 for longer-term inprovement. +++

Description of problem:
Certain console fonts in kbd package doesn't have "tilda sign" on 'ã' (U+00e3),
which becomes 'a'.


Version-Release number of selected component (if applicable):
kbd-1.12-18


How reproducible:
Always


Steps to Reproduce:
Method A: 
1. Change system language as Japanese. (Could do it by system-config-language)
2. Reboot.
3. Go to tty1. (Ctrl-Del-1/2/3)
4. Login.
5. Type natively for the character 'ã', it will becomes 'a'.

Method B:
1.Do steps 1-4 of method A.
2. Enter `LANG=pt_BR.UTF-8 setup`.
3. 'çao' should actually be 'ção'.  
Actual results:


Expected results:
They should displays 'ção'.


Additional info:
console fonts are located in /lib/kbd/consolefonts/
Comment 1 Caius Chance 2006-10-01 20:22:02 EDT
Created attachment 137515 [details]
Screenshot of setuptool
Comment 2 Caius Chance 2006-10-01 20:37:39 EDT
As running text-mode application in pt_BR on system with CJK as sytem language
is relatively rare, it is not at high priority.
Comment 3 Vitezslav Crhonek 2007-04-16 07:26:01 EDT
Hello,

in described situation, /etc/sysconfig/i18n file is pointing to sun0-16 font --
this font has all 256 glyph cells full, so I can't add new extra glyph for
U+00E3 (see comment #29 in bug #204470). If user wants 'ã' instead of 'a', he
must use another font.

I also investigated all .psfu and .psf fonts within kbd package. If their
unicode map included U+00E3, then I looked if glyph is really 'ã' (special glyph
for U+00E3) or if glyph is 'a' (same glyph for both U+0061 and U+00E3) and
there's no free space for another glyph in this font (where I can put special
glyph for U+00E3). I found no font, where I can U+00E3 add.
Comment 4 Caius Chance 2007-04-16 19:59:07 EDT
Hi,

Thank you very much for your reply.

I am not requesting for adding a new extra glyph but fixing the current U+00E3
which supposed to be 'ã', in all files located in /lib/kbd/consolefonts/.

You need to test the fonts in pure console environment (not any terminal program
started on your GUI desktop).

Best Regards,
Caius



Comment 5 Vitezslav Crhonek 2007-04-17 11:18:02 EDT
Hi,

I did that (please read comment #3 carefully).
Comment 6 Caius Chance 2007-04-17 21:02:13 EDT
Thanks a lot Vitezslav. - Regards, Caius.

Note You need to log in before you can comment on or make changes to this bug.